﻿using System.Collections.Generic;
using System.IO;

namespace OptimisationManagerExtention.Model.DirectoryManagers
{
    class TerminalDirectory
    {
        public TerminalDirectory() :
            this(Path.Combine(System.Environment.GetFolderPath(System.Environment.SpecialFolder.ApplicationData), "MetaQuotes", "Terminal"))
        {
        }

        public TerminalDirectory(string path)
        {
            pathToTerminal = path;
        }

        private readonly string pathToTerminal;

        public List<DirectoryInfo> Terminals
        {
            get
            {
                List<DirectoryInfo> ans = new List<DirectoryInfo>();
                string[] dir_array = Directory.GetDirectories(pathToTerminal);
                foreach (var item in dir_array)
                {
                    string pathToOrigin = Path.Combine(pathToTerminal, item, "origin.txt");
                    if (!File.Exists(pathToOrigin))
                        continue;
                    if (!File.Exists(Path.Combine(File.ReadAllText(pathToOrigin), "terminal64.exe")))
                        continue;
                    ans.Add(new DirectoryInfo(Path.Combine(pathToTerminal, item)));
                }

                return ans;
            }
        }
        public DirectoryInfo Common => new DirectoryInfo(Path.Combine(pathToTerminal, "Common"));
        public DirectoryInfo Community => new DirectoryInfo(Path.Combine(pathToTerminal, "Community"));
    }
}
