﻿using System;
using System.Collections.Generic;
using System.IO;

namespace OptimisationManagerExtention.Model.FileReaders
{
   
    /// <summary>
    /// Класс описывающий строки для таблицы с настройками параметров робота перед оптимизацией
    /// </summary>
    class ParamsItem
    {
        /// <summary>
        /// Конструктор класса
        /// </summary>
        /// <param name="Name">Наименование переменной</param>
        public ParamsItem(string Name) => Variable = Name;
        /// <summary>
        /// Признак нужно ли оптимизировать данную переменную робота
        /// </summary>
        public bool IsOptimize { get; set; }
        /// <summary>
        /// Наименование переменной
        /// </summary>
        public string Variable { get; }
        /// <summary>
        /// Значение переменной выбранное для теста
        /// </summary>
        public string Value { get; set; }
        /// <summary>
        /// Начала перебора параметров
        /// </summary>
        public string Start { get; set; }
        /// <summary>
        /// Шаг перебора параметров
        /// </summary>
        public string Step { get; set; }
        /// <summary>
        /// Окончание перебора параметров
        /// </summary>
        public string Stop { get; set; }
    }
}
